package cn.tsy.data.idsse.dsds.model.dict;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 字典-设备类型
 * 
 * @author: zxq
 * @date: 2024-05-13 12:18:51
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "DICT_EQUIPMENT", key = "TSY_ID")
public class DictEquipment extends HmeBean {
	private static final long serialVersionUID = 6056111588030140787L;
	private Integer tsy_id;
	//设备类型名称
	private String equipment_name;
	//设备分组
	private String equipment_group;
	//英文名称
	private String equipment_eng;
	//别名，简称
	private String equipment_alias;
	//备注信息
	private String equipment_remark;
	//创建时间
	private LocalDateTime create_time;
	//排序信息
	private Integer equipment_order;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 设备类型名称
	 */
	public String getEquipment_name() {
		return this.equipment_name;
	}

	/****
	 * 设备类型名称
	 */
	public void setEquipment_name(String equipment_name) {
		this.equipment_name = equipment_name;
	}

	/****
	 * 设备分组
	 */
	public String getEquipment_group() {
		return this.equipment_group;
	}

	/****
	 * 设备分组
	 */
	public void setEquipment_group(String equipment_group) {
		this.equipment_group = equipment_group;
	}

	/****
	 * 英文名称
	 */
	public String getEquipment_eng() {
		return this.equipment_eng;
	}

	/****
	 * 英文名称
	 */
	public void setEquipment_eng(String equipment_eng) {
		this.equipment_eng = equipment_eng;
	}

	/****
	 * 别名，简称
	 */
	public String getEquipment_alias() {
		return this.equipment_alias;
	}

	/****
	 * 别名，简称
	 */
	public void setEquipment_alias(String equipment_alias) {
		this.equipment_alias = equipment_alias;
	}

	/****
	 * 备注信息
	 */
	public String getEquipment_remark() {
		return this.equipment_remark;
	}

	/****
	 * 备注信息
	 */
	public void setEquipment_remark(String equipment_remark) {
		this.equipment_remark = equipment_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 排序信息
	 */
	public Integer getEquipment_order() {
		return this.equipment_order;
	}

	/****
	 * 排序信息
	 */
	public void setEquipment_order(Integer equipment_order) {
		this.equipment_order = equipment_order;
	}

}